<?php
/**
 * Assets class
 *
 * @package ADVHEL
 */
namespace ADV\Heading\Classes;

defined( 'ABSPATH' ) || die();

class Assets {

    /**
     * Init
     */
    function __construct() {

        add_action( "elementor/frontend/after_enqueue_styles", [$this, 'register_styles'] );

    }

    /**
     * Register styles
     *
     * @return void
     */
    public function register_styles() {

        $min = ( WP_DEBUG === true ) ? '' : '.min';
        wp_register_style( 'adv-heading', ADVHEL_ASSETS . '/css/widgets/advanced-heading' . $min . '.css', false, '1.0.0' );
        wp_register_style( 'adv-animated-heading', ADVHEL_ASSETS . '/css/widgets/animated-text' . $min . '.css', false, '1.0.0' );

    }

}